langinfo.c File Reference
`#include "ruby/missing.h"`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros

#define | C_CODESET
#define | JA_CODESET "EUC-JP"
#define | digit(x) ((x) >= '0' && (x) <= '9')
#define | strstart(s, n) (strncasecmp((s), (n), strlen(n)) == 0)

## Functions

const char * | nl_langinfo_codeset (void)

## Variables

static char | buf [16]

## Macro Definition Documentation

#define C_CODESET

Value:
"US-ASCII" /* Return this as the encoding of the
* C/POSIX locale. Could as well one day
* become "UTF-8". */

Definition at line 48 of file langinfo.c.

Referenced by nl_langinfo_codeset().

#define digit | ( |  | x | ) | ((x) >= '0' && (x) <= '9')

Definition at line 58 of file langinfo.c.

Referenced by nl_langinfo_codeset(), and time_mload().

#define JA_CODESET "EUC-JP"

Definition at line 55 of file langinfo.c.

Referenced by nl_langinfo_codeset().

#define strstart | ( |  | s,
|  |  | n
| ) |  | (strncasecmp((s), (n), strlen(n)) == 0)

Definition at line 59 of file langinfo.c.

Referenced by nl_langinfo_codeset().

## Function Documentation

const char* nl_langinfo_codeset | ( | void |  | ) |

Definition at line 64 of file langinfo.c.

References buf, C_CODESET, digit, getenv(), JA_CODESET, NULL, p, strchr(), and strstart.

Referenced by rb_locale_charmap().

## Variable Documentation

char buf[16]

static

Definition at line 61 of file langinfo.c.